Bug 1009999 - Review Request: perl-Parse-DebControl - Easy OO parsing of debian control-like files
Review Request: perl-Parse-DebControl - Easy OO parsing of debian control-lik...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Darryl L. Pierce
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1010000
  Show dependency treegraph
 
Reported: 2013-09-19 12:36 EDT by Sandro Mani
Modified: 2015-06-21 20:08 EDT (History)
5 users (show)

See Also:
Fixed In Version: perl-Parse-DebControl-2.005-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 07:24:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dpierce: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mani 2013-09-19 12:36:39 EDT
Spec URL: http://smani.fedorapeople.org/review/perl-Parse-DebControl.spec
SRPM URL: http://smani.fedorapeople.org/review/perl-Parse-DebControl-2.005-1.fc21.src.rpm
Description: Easy OO parsing of debian control-like files
Fedora Account System Username: smani
Comment 1 Darryl L. Pierce 2013-09-25 16:38:30 EDT
Package Approved!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.     
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/mcpierce/Packaging/reviews/1009999-perl-Parse-
     DebControl/licensecheck.txt
[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/perl5/vendor_perl/Parse(perl-Parse-ErrorString-Perl, perl-
     BackPAN-Index, perl-ParseTemplate, perl-Parse-Yapp, perl-Parse-CPAN-
     Packages, perl-Parse-RecDescent, perl-Parse-Method-Signatures, perl-
     Parse-CPAN-Meta, perl-ParseLex)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.     
[!]: Final provides and requires are sane (see attachments).

     The spec includes no virtual provides for Perl. Can you consider adding:
     Provides: perl(Parse::DebControl)

[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-Parse-DebControl-2.005-1.fc18.noarch.rpm
          perl-Parse-DebControl-2.005-1.fc18.src.rpm
perl-Parse-DebControl.noarch: W: spelling-error Summary(en_US) debian -> Debian
perl-Parse-DebControl.noarch: W: spelling-error %description -l en_US debian -> Debian
perl-Parse-DebControl.src: W: spelling-error Summary(en_US) debian -> Debian
perl-Parse-DebControl.src: W: spelling-error %description -l en_US debian -> Debian
perl-Parse-DebControl.src: W: strange-permission Parse-DebControl-2.005.tar.gz 0600L
perl-Parse-DebControl.src: E: specfile-error warning: bogus date in %changelog: Tue Sep 19 2013 Sandro Mani <manisandro@gmail.com> - 2.005-1
2 packages and 0 specfiles checked; 1 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Parse-DebControl
perl-Parse-DebControl.noarch: W: spelling-error Summary(en_US) debian -> Debian
perl-Parse-DebControl.noarch: W: spelling-error %description -l en_US debian -> Debian
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-Parse-DebControl (rpmlib, GLIBC filtered):
    perl(:MODULE_COMPAT_5.16.3)
    perl(Compress::Zlib)
    perl(IO::Scalar)
    perl(LWP::UserAgent)
    perl(strict)
    perl(vars)



Provides
--------
perl-Parse-DebControl:
    perl(Parse::DebControl)
    perl-Parse-DebControl



Source checksums
----------------
http://search.cpan.org/CPAN/authors/id/J/JA/JAYBONCI/Parse-DebControl-2.005.tar.gz :
  CHECKSUM(SHA256) this package     : b64bce1ff212d7e3ef9d4368e7b62749cf27751fa8360cdf53e969123346a729
  CHECKSUM(SHA256) upstream package : b64bce1ff212d7e3ef9d4368e7b62749cf27751fa8360cdf53e969123346a729


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review --bug 1009999
Buildroot used: fedora-18-x86_64
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, SugarActivity, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 2 Sandro Mani 2013-09-25 16:57:41 EDT
Thanks for the review!


New Package SCM Request
=======================
Package Name: perl-Parse-DebControl
Short Description: Easy OO parsing of debian control-like files
Owners: smani
Branches: f19 f20
InitialCC:
Comment 3 Kevin Fenzi 2013-09-27 14:49:56 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-09-27 15:59:46 EDT
perl-Parse-DebControl-2.005-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Parse-DebControl-2.005-2.fc20
Comment 5 Fedora Update System 2013-09-27 16:00:29 EDT
perl-Parse-DebControl-2.005-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Parse-DebControl-2.005-2.fc19
Comment 6 Fedora Update System 2013-09-28 21:28:08 EDT
perl-Parse-DebControl-2.005-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 7 Fedora Update System 2013-10-08 07:24:15 EDT
perl-Parse-DebControl-2.005-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 8 Fedora Update System 2013-10-09 10:49:15 EDT
perl-Parse-DebControl-2.005-2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.